Package virtuoso.jdbc4

## Class VirtuosoClob

- java.lang.Object
- - virtuoso.jdbc4.VirtuosoBlob
  - - virtuoso.jdbc4.VirtuosoClob

    public class VirtuosoClob
    extends VirtuosoBlob

This is an implementation of a Clob object. It's equivalent to a LONG CHAR SQL type.

### Field Summary

### Fields inherited from class virtuoso.jdbc4.VirtuosoBlob

`bh_timestamp, dir_page, dtp, frag_no, key_id, pages`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class virtuoso.jdbc4.VirtuosoBlob

`free, getAsciiStream, getBinaryStream, getBinaryStream, getBytes, getCharacterStream, getCharacterStream, getSubString, hashCode, length, position, position, position, position, setAsciiStream, setBinaryStream, setBytes, setBytes, setCharacterStream, setInputStream, setObject, setReader, setString, setString, toString, truncate`